<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">

    <meta name="theme-color" content="#1565c0">
    <title>Title</title>
    <!--Import Google Icon Font-->
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <!--Import materialize.css-->
    <link type="text/css" rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css"
          media="screen,projection"/>

    <link rel="stylesheet" href="css/main.css">

    <!--Let browser know website is optimized for mobile-->
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
</head>
<body>

<div id="app">
    <header>
        <div class="navbar-fixed">
            <nav class="nav-extended blue darken-4">
                <div class="nav-wrapper">
                    <a href="#" data-target="mobile-demo" class="sidenav-trigger">
                        <i class="material-icons">menu</i>
                        <span class="title-app">Chat Vue Firebase</span> </a>
                    <ul class="right hide-on-med-and-down">
                        <li><a href="sass.html"><i class="material-icons">search</i></a></li>
                    </ul>
                </div>
            </nav>
        </div>
    </header>

    <ul class="sidenav" id="mobile-demo">
        <li><a href="sass.html">Inicio</a></li>
        <li><a href="badges.html">Perfil</a></li>
    </ul>

    <main>
        <a class="btn-floating btn-large halfway-fab waves-effect deep-orange darken-4">
            <i class="material-icons">add</i>
        </a>

        <div class="container content-page">
            <ul class="collapsible popout content-list">
                <li>
                    <div class="collapsible-header">
                        <img src="images/happy.png" alt="" class="circle image-user">
                        <span class="summary-message-chat"><b>Jose Florez</b> <br>
                            Lorem ipsum dolor sit amet, consectetur adipisicing elit. Placeat, voluptate.
                        </span>
                    </div>
                    <div class="collapsible-body">
                        <ul class="collection">
                            <li class="collection-item avatar" v-for="chat in list_chat">
                                <img src="images/logo_sm.png" alt="" class="circle">
                                <span class="title">{{ chat.username }}</span>
                                <p>
                                    {{ chat.message }}
                                </p>
                                <a href="#!" class="secondary-content"><i class="material-icons">more_vert</i></a>
                            </li>
                        </ul>
                        <ul>
                            <li class="collection-item">
                                <form @submit.prevent="sendMessage(1)">
                                    <div class="input-field">
                                        <i class="material-icons prefix">reply_all</i>
                                        <input v-model="message" id="icon_prefix" type="text" class="validate"
                                               autocomplete="off">
                                        <label for="icon_prefix">Enter message</label>
                                    </div>
                                </form>
                            </li>
                        </ul>
                    </div>
                </li>

            </ul>
        </div>
    </main>
</div>

<!--JavaScript at end of body for optimized loading-->
<script type="text/javascript"
        src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>

<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
<script src="https://www.gstatic.com/firebasejs/5.5.0/firebase.js"></script>

<script>
    document.addEventListener('DOMContentLoaded', function (options) {
        var elems = document.querySelectorAll('.sidenav');
        var instances = M.Sidenav.init(elems, options);
    });
    document.addEventListener('DOMContentLoaded', function (options) {
        var elems = document.querySelectorAll('.collapsible');
        var instances = M.Collapsible.init(elems, options);
    });

    // Initialize Firebase
    var config = {
        apiKey: "AIzaSyDiPN0kFTU6iMkFOux1W0zxu-MorsEg2Wg",
        authDomain: "taiga-35025.firebaseapp.com",
        databaseURL: "https://taiga-35025.firebaseio.com",
        projectId: "taiga-35025",
        storageBucket: "taiga-35025.appspot.com",
        messagingSenderId: "1006381674874"
    };
    firebase.initializeApp(config);

    let db = firebase.database();


    new Vue({
        el: '#app',
        created() {
            db.ref('list_chat/JoseFlorez').on('value', snapshot => this.loadChat(snapshot.val()))
        },
        data: {
            message: null,
            username: 'JoseFlorez',
            image_chat: 'images/happy.png',
            image_user: 'images/logo_sm.png',
            list_chat: []
        },
        methods: {
            loadChat(data) {
                debugger;
                console.log(data);
                this.list_chat = data
            },
            sendMessage(data) {
                debugger;
                db.ref('list_chat/JoseFlorez')
                    .push({
                        message: this.message,
                        username: this.username,
                        image_user: this.image_user,
                    }).then((data) => {
                    this.message = '';
                });
            },
        }
    });
</script>
</body>
</html>